#
#
# PARAMETERS
# ($0  cfg_sendscript)
# $1   action "initConf"
# $2   cfg_srvurl
# $3   cfg_regist
# $4   query
#
#
#default to busybox shell
FBUSY=1
if [ "$SHELL" == "/bin/bash" ]; then
#running in the superpowerful bash
FBUSY=0
fi

#current time
ORITIME=$(date -u +"%Y-%m-%dT%H:%M:%S.000%z")

GENID=0
LOGID=0

OUTFILE1="/tmp/remote1.dat"
OUTFILE2="/tmp/remote2.dat"

if [ -f $OUTFILE1 ]; then
  rm $OUTFILE1
fi
#if [ -f $OUTFILE2 ]; then
#  rm $OUTFILE2
#fi


# convert unix time stamp to formatted string
stamp2date () {
if [ $FBUSY == 1 ]; then
    date -u -d "1970-01-01 00:00:$1" +"%Y-%m-%dT%H:%M:%S.000%z"
else    
    date -u -d "1970-01-01 00:00 $1 sec" +"%Y-%m-%dT%H:%M:%S.000%z"
fi
    
}


parseSample () {
    ARRAY2=$(echo "$1" | tr ":" "\n")
    k=0
    for j in $ARRAY2; do
      if [ $k == 0 ]; then PAR0="$j"; fi
      if [ $k == 1 ]; then PAR1="$j"; fi
      if [ $k == 2 ]; then PAR2="$j"; fi
      if [ $k == 3 ]; then PAR3="$j"; fi
      if [ $k == 4 ]; then PAR4="$j"; fi
      k=$(($k + 1))
    done    
}



SENDURL="$1"
ACTION="$2"
REGIST="$3"
QUERY="$4"

echo "Sending data to URL $SENDURL ..."
curl --connect-timeout 30 -X POST -o $OUTFILE1 -s --data-urlencode "$QUERY" "$SENDURL"
#curl --connect-timeout 30 -X POST --data-urlencode "$QUERY" "$SENDURL"

RESULT=1
if [ -f $OUTFILE1 ]; then
  RESULTOK=$(grep -c "^\s*{\s*\"ERR\":0\s*," $OUTFILE1)
  RESULT=$(grep -c "ERR\":[1-9][0-9]*\s*," $OUTFILE1)
fi
NERR=1
if [ "$RESULT" == "0" ] && [ "$RESULTOK" == "1" ]; then
  NERR=0
fi
echo -e "... errors:$RESULT err:$NERR"

exit $NERR 
