# script lanciato tramite S95runapp.sh

# carico il modulo per la gestione del gpio
/sbin/modprobe gpio

# script di upgrade
cd /tmp/mnt/UserFS/pvkitadsl
/bin/sh ./bin/upgrade.sh

# check DHCP
# check DHCP
APPROOT=/tmp/mnt/UserFS/pvkitadsl
#APPROOT=.
DHCP=1
if [ -f $APPROOT/config/dhcp.dat ]; then
echo "FOUND DHCP FILE"
DHCP=$(cat $APPROOT/config/dhcp.dat)
echo "DHCP: $DHCP"
fi
if [ $DHCP == "1" ]; then
# DHCP mode
# donothing
echo "DHCP mode"
# sleep iniziale per attendere acquisizione ip
sleep 5

else

#kill udhcpd
pkill -9 udhcpd
pkill -9 udhcpc
sleep 2
route del default

IP=$(cat $APPROOT/config/ip.dat)
MASK=$(cat $APPROOT/config/mask.dat)
GWAY=$(cat $APPROOT/config/gway.dat)
DNS=$(cat $APPROOT/config/dns.dat)

echo "Manual IP configuration: $IP mask:$MASK gw:$GWAY dns:$DNS"

ifconfig eth0 $IP netmask $MASK up
route add default gw $GWAY eth0

OLDDNS=dum
if [ -f /etc/resolv.conf ]; then
OLDDNS=$(cat /etc/resolv.conf)
fi

if [ ! -f /etc/resolv.conf ] || [ ! "[$OLDDNS]" == "[nameserver $DNS]" ]; then
echo "Changing DNS"
echo "nameserver $DNS" > /etc/resolv.conf
fi

fi


# start ntpd with our config
/bin/sh /tmp/mnt/UserFS/pvkitadsl/bin/ntpd.sh restart

# wait for 5 seconds
sleep 5

# start 4noks application
export PATH=$PATH:/tmp/mnt/UserFS/pvkitadsl/
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/tmp/mnt/UserFS/pvkitadsl/
cd /tmp/mnt/UserFS/pvkitadsl; ./pvkrun &

