#
# Parameters:
# $1  protocol (H or F)
# $2  server   (ip or FQDN)
# $3  port
# $4  file
# $5  username
# $6  password
# $7  dir
# $8  localfile
#
#bin/ftpscript.sh F <server> 21 pvkrun_3.0.2.tgz <user> <pass> /pvkitadsl/ test.tgz

FBUSY=1
if [ "$SHELL" == "/bin/bash" ]; then
#running in the superpowerful bash
FBUSY=0
fi

if [ "$1" == "F" ]; then
PROT="ftp://"
else
PROT="http://"
fi

if [ "/$3/" == "//" ]; then
PORT=""
else
PORT=":$3"
fi

curl --connect-timeout 30 --user $5:$6 -o /tmp/$8 $PROT$2$PORT$7$4

RESULT=$?
NERR=1
if [ "$RESULT" == "0" ]; then
  NERR=0
fi

# move and reboot
if [ "$NERR" == "0" ]; then
echo "Upgrade file $8"
UPGRADEDIR="./upgrade"
UPGRADEFILE="./upgrade/upgrade.tgz"
if [ ! -d $UPGRADEDIR ]; then
    mkdir $UPGRADEDIR
fi
if [ -f $UPGRADEFILE ]; then
    rm $UPGRADEFILE
fi    
mv /tmp/$8 $UPGRADEFILE

echo "Rebooting device ..."
reboot -d 5 &
fi

echo -e "... errors:$RESULT err:$NERR"

exit $NERR 

